For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList users
      • POSTCreate and Invite User
      • POSTResend User Invite
      • PATCHUpdate a user
      • GETGet a user
      • DELDelete a user
      • GETList User Roles
      • POSTAssign Role to User
      • DELRemove Role from User
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceUsers

List users

GET
https://api.x.flatfile.com/v1/users
GET
/v1/users
$curl -G https://api.x.flatfile.com/v1/users \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode email=john.smith@example.com
200Example0
1{
2 "data": [
3 {
4 "accountId": "us_acc_YOUR_ID",
5 "createdAt": "2023-10-30T16:59:45.735Z",
6 "email": "john.smith@example.com",
7 "id": "us_usr_YOUR_ID",
8 "idp": "FRONTEGG",
9 "metadata": {},
10 "name": "john.smith",
11 "updatedAt": "2023-10-30T16:59:45.735Z",
12 "dashboard": 2,
13 "idpRef": "ab1cf38e-e617-4547-b37d-376a7ac9e554",
14 "lastSeenAt": "2023-10-30T16:59:45.735Z"
15 }
16 ]
17}
Gets a list of users
Was this page helpful?
Previous

Create and Invite User

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

emailstringOptional
Email of guest to return
searchstringOptional
String to search for users by name and email
sortFieldenumOptional
Field to sort users by
sortDirectionenumOptional
Direction of sorting
Allowed values:
pageSizeintegerOptional

Number of users to return in a page (default 20)

pageNumberintegerOptional
Based on pageSize, which page of users to return

Response

This endpoint returns an object.
datalist of objects
paginationobject
pagination info